<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Unit Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwUnitConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the units for one or
        many data point elements. If the panel is used for just one data point
        element at a time, the panel shows the
        current defined unit when loaded.</p>
      <p>The user can choose from predefined units or choose a custom unit..</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When configuring the unit for a data point element
          (or elements) you should first check the &quot;Unit ON/OFF&quot; check
          box. Then the unit configuration options will appear.</p>
        <p>Next, you can either type in your own unit into the text field or
          you can choose from a predefined list of units. To browse the list
          of predefined units, press the &quot;SI Units&quot; button and navigate through
          the menu that appears. When you select a unit from the predefined list,
          it will appear in the unit text field.</p>
        <p>Once you have chosen the desired unit, press OK or Apply to save the
          configuration.</p>
        <p>To delete the unit on the data point element(s),
          uncheck the &quot;Unit ON/OFF&quot; check box and then press either OK
          or Apply.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>You can only configure a unit for a data point element
          which has a value. Structure data point elements do not have a value
          so they also can not have a unit. If you load up the panel with a list
          of data point elements, and one happens to be of structure type, then
          the panel will not let you configure a unit because it can not be applied
          to all the data point elements. You can press the &quot;Select Elements&quot; buttons
          to choose which data point elements to configure from the list that
          was passed to the panel.<br>
        </p>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwUnitConfig.jpg" alt="Panel screenshot" width="646" height="442" style="width: 647px; height: 443px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
